Convert annotated text

    Convert annotated text (with semantic tags) into clean, readable text.

    Request Body

    ParameterTypeRequiredDescription
    modelvalsea-convertYes
    annotated_textstringYesAnnotated text to convert.
    response_formatjson | verbose_jsonNoDefault: json
    semantic_tagsarrayNo
    semantic_tags[].tagstringNo
    semantic_tags[].phrasestringNo
    semantic_tags[].meaningstringNo

    Code Examples

    curl -X POST https://api.valsea.ai/v1/conversions \
      -H "Authorization: Bearer YOUR_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
        "model": "valsea-convert",
        "annotated_text": "Your annotated text here..."
      }'
    

    Response

    Minimal (json)

    FieldTypeDescription
    converted_textstring

    Verbose (verbose_json)

    FieldTypeDescription
    converted_textstring
    annotated_textstring

    Errors

    StatusDescription
    401Missing or invalid API key
    402Insufficient credits

    Was this page helpful?